<!--
~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~ WSO2 Inc. licenses this file to you under the Apache License,
~ Version 2.0 (the "License"); you may not use this file except
~ in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied. See the License for the
~ specific language governing permissions and limitations
~ under the License.
-->
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.wso2.carbon.governance.custom.lifecycles.checklist.ui.processors.InvokeAspectProcessor" %>
<%
    try {

        String path = request.getParameter("path");
        String aspect = request.getParameter("aspect");
        String action = request.getParameter("action");
        String[] items = request.getParameterValues("items");

        if (action.equals("Promote")) {
            String[] associations = InvokeAspectProcessor.getAllDependencies(request, config);
%>
<script type="text/javascript" src="../lifecycles/js/lifecycles.js"></script>

<fmt:bundle
        basename="org.wso2.carbon.governance.custom.lifecycles.checklist.ui.i18n.Resources">
<form id="dependencyVersionFrom" name="dependencyVersion">

    <%
        if (associations.length > 0) {
    %>
    <table class="styledLeft" id="versionTable">
        <tbody>
        <tr>
            <td>Resource</td><td>Version</td>
        </tr>
        <%
            for (String association : associations) {
                String assoName = association.substring(association.lastIndexOf("/")+1);
        %>
        <tr>
            <td>
                <%=assoName%>
            </td>
            <td>
                <input type="text" name="<%=association%>" id="<%=assoName %>"
                       style="width:140px;"/>
            </td>
        </tr>
        <%
            }
        %>
        <tr>  <td>
        <input class="button registryWriteOperation" type="button"
               value="<fmt:message key="proceed"/>"
               onclick="invokeAspect('<%=path%>', '<%=aspect%>', '<%=action%>','<%=request.getParameter("mediaType")%>')"/>
            </td>
            <td>
        <input class="button registryWriteOperation" type="button"
               value="<fmt:message key="cancel"/>"
               onclick="cancelVersionBox('<%=path%>')"/>
            </td>
            </tr>
        <%
            }
        %>
        </tbody>
    </table>
</form>
    </fmt:bundle>
<%
        }
    } catch (Exception ex) {
        ex.printStackTrace();
            response.setStatus(500);
        %><%=ex.getMessage()%><%
        return;

    }

%>








